﻿using System.Collections.Generic;

using Dundas.BI.Web.Extensibility;
using Dundas.BI.Web.Extensibility.Parameters;

namespace MyCompany.Sample.SampleControl
{
    /// <summary>
    /// The class represents the Sticky Note extension.
    /// </summary>
    public class StickyNoteExtension : IAdapterExtension
    {
        /// <summary>
        /// Gets the all the adapter info objects for this particular extension.
        /// </summary>
        /// <returns>
        /// The adapter info objects for this extension.
        /// </returns>
        public IList<Dundas.BI.Web.Extensibility.Parameters.AdapterInfo> GetInfos()
        {
            return
                new List<AdapterInfo>()
                {
                    new StickyNoteAdapterInfo()
                };
        }
    }
}
