﻿"use strict";

window.mycompany = {};
window.mycompany.controls = {};
window.mycompany.controls.sample = {};
window.mycompany.controls.sample.stickynote = {};


// Sandbox.
(function ($) {

    // The sticky note control class infos.
    mycompany.controls.sample.stickynote.Info = dundas.view.controls.Info.extend({
        init: function () {
            /// <summary>
            /// Initializes the Info. Called during construction.
            /// </summary>
        },

        getControlInfos: function () {
            /// <summary>
            /// Gets the information about the control (such as what adapters it supports).
            /// </summary>
            /// <returns type="Object">Meta-information about the control and what adapters it supports.</returns>

            var infos = [
                {
                    "categoryName": "Components",
                    "subCategoryName": "Fun",
                    "caption": "Stickynote extension",
                    "description": "Simple stickynote sample control",
                    "adapterObjectName": 'mycompany.controls.sample.stickynote.Adapter',
                    "defaultWidth": 240,
                    "defaultHeight": 240  ,
                    "toolbarIconUrl": dundas.Utility.getContextualUrlPath('ExtensionResources/MyCompany.Sample.SampleControl/stickyNoteIcon.png')
                }
            ];

            return infos;
        }
    });
})(jQuery);